import typescript from '@rollup/plugin-typescript';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import copy from 'rollup-plugin-copy';
import { dts } from 'rollup-plugin-dts';
import json from '@rollup/plugin-json';
import path from 'path';

const config = {
  input: 'src/index.ts',
  output: {
    dir: 'dist',
    // file: path.join('dist', 'app.cjs'),
    format: 'esm',
  },
  plugins: [
    resolve(),
    commonjs(),
    typescript({
      declaration: false,
    }),
    json(),
    // copy({
    //   targets: [
    //     {
    //       src: `${directory}/*.html`,
    //       dest: outputDirectory,
    //     },
    //   ],
    // }),
  ],
  external: ['sequelize'],
  resolve: {
    stream: true,
  },
};
export default [config];
